Appearance
List currency pairs by type​
GET
/v1/public/pairs/{type}
Public: no API key needed. Send the request as is, without signing it.
Returns the currency pairs of one type, spot or futures, including inactive ones, in the same form as List currency pairs. Responses are cached for up to a minute.
Parameters​
Path Parameters
type*
SPOT or FUTURE (not case-sensitive).
Type
Requiredstring
Valid values
"SPOT""FUTURE"Example
"FUTURE"Responses​
OK
application/json
JSON
[
{
"symbol": "BTCUSDTPERP",
"baseCurrency": "BTC",
"quoteCurrency": "USDT",
"shortName": "BTC/USDTPERP",
"active": true,
"minBaseAmount": "0.0001",
"maxBaseAmount": "7",
"minQuoteAmount": "1",
"maxQuoteAmount": "250000",
"tickSize": "1",
"baseDecimalPlaces": "4",
"marginTradingAllowed": false,
"currencyPairType": "FUTURE",
"initialMarginFraction": "0.025",
"maintenanceMarginFraction": "0.0125",
"autoCloseMarginFraction": "0.0125"
},
{
"symbol": "ETHUSDTPERP",
"baseCurrency": "ETH",
"quoteCurrency": "USDT",
"shortName": "ETH/USDTPERP",
"active": true,
"minBaseAmount": "0.001",
"maxBaseAmount": "32",
"minQuoteAmount": "1",
"maxQuoteAmount": "100000",
"tickSize": "0.1",
"baseDecimalPlaces": "3",
"marginTradingAllowed": false,
"currencyPairType": "FUTURE",
"initialMarginFraction": "0.025",
"maintenanceMarginFraction": "0.0125",
"autoCloseMarginFraction": "0.0125"
}
]
Samples​
Errors
| HTTP | Error | When |
|---|---|---|
| 400 | -11INVALID_REQUEST | type isn't SPOT or FUTURE. |
Public endpoints are not signed, so they never return authentication errors.